// function for LCD control ============================================
void lcdw (int lcdf, int lcdl, int lcdc, String lcdt, int lcdv) { 

// Setting of the function ====================
//     lcdf : 0=init LCD for void setup/1=write txt/2=clear display,
//     lcdl : for lcdf=1 display line number 0-1,
//     lcdc : for lcdf=1 display column number 0-15,
//     lcdt : for lcdf=1 string to diplay,
//     lcdv : for lcdf=1 if not 0 value to display after lcdt)
// End setting of the function =================== */

// Function start =============================
  const static String lcds1 ="                ";
  switch (lcdf) {
    case 0: 
      Wire.begin(); Wire.beginTransmission(0x38);               // init LCD
      delay(100);
      lcd.home(); lcd.clear(); lcd.setBacklight(255);           // clear LCD
    break;
    case 1: 
      if (lcdv != 0){ lcdt = lcdt + " " + String(lcdv); }        // concatene inputs 
      lcd.setCursor(lcdc, lcdl);                                 // set start for write
      lcd.print(lcds1.substring(0, lcdt.length()));              // erase before writing
      lcd.setCursor(lcdc, lcdl);                                 // set start for write
      lcd.print(lcdt);                                           // write info
      lcd.noBlink();                                             // no cursor blink
    break;
    case 2: 
      lcd.home(); lcd.clear();                                   // clear LCD
    break;    
    }  
/*  Other LCD functions which can be included in this function to improve it
    lcd.clear(); lcd.print("Cursor Blink"); lcd.noBlink(); lcd.blink(); lcd.noCursor(); lcd.noDisplay(); lcd.display(); lcd.setCursor(0-15, 0-1); 
    lcd.scrollDisplayLeft(); lcd.scrollDisplayRight(); lcd.setBacklight(0-255);  */
}
